%def_without static

Name: gtkglext
Version: 1.0.5
Release: alt1

Summary: An OpenGL extention to GTK2
License: LGPL
Group: System/Libraries
Url: http://gtkglext.sourceforge.net/

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2

%define gtk_ver 2.2.4
%define gtk_doc_ver 1.1

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Thu Dec 04 2003
BuildRequires: XFree86-devel-static XFree86-libs docbook-dtds docbook-style-xsl fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gtk-doc hostinfo indent libGLU-devel libGLwrapper libatk-devel libexpat libgtk+2-devel libpango-devel libstdc++-devel libxslt pkgconfig xml-common xsltproc

%description
GtkGLExt is an OpenGL extension to GTK2.

This package is composed of GdkGLExt library and GtkGLExt library.
GdkGLExt library provides the GDK objects which support OpenGL
rendering in GTK. GtkGLExt library provides the GtkWidget API add-ons
to make GTK+ widgets OpenGL-capable.

%package -n lib%name
Summary: An OpenGL extention to GTK2
Group: System/Libraries

%description -n lib%name
A library of dynamically linked GtkGLExt

%package -n lib%name-devel
Summary: An OpenGL extention to GTK2 development files
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel glib-devel libpango-devel freetype2-devel libatk-devel

%description -n lib%name-devel
This package contents development files and documentation
for compiling programs that use GtkGLExt.

%package -n lib%name-devel-static
Summary: An OpenGL extention to GTK2 static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the libraries needed for compiling programs
statically linked against GtkGLExt.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure --enable-gtk-doc \
	    --enable-static

%make_build
#%make_build examples

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/%name-1.0
%doc AUTHORS README* ChangeLog TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/%name-1.0/*
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Dec 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- 1.0.5
- do not package .la files.
- do not build devel-static subpackage by default.

* Wed Mar 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Sun Dec 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt2
- rebuild with new pango, gtk+

* Sat Sep 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Thu Jun 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3

* Thu Jun 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Wed Jun 12 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.1.1-alt1
- First build for Sisyphus
